/*
 * webserver.h
 *
 *  Created on: Mar 5, 2010
 *      Author: ssmethurst
 */

#ifndef WEBSERVER_H_
#define WEBSERVER_H_

#include <WProgram.h>
#include <Ethernet.h>

#define RELAY_PIN						4
#define HTTP_VERSION					"1.1"
#define HTTP_MAX_REQUEST_LENGTH			100
#define HTTP_MAX_BUFFER_SIZE			100

#define HTTP_STATUS_CODE_OK				"200 OK"
#define HTTP_STATUS_CODE_NOT_FOUND		"404 Not Found"

/*
 * webserver.cpp
 *
 *  Created on: Mar 5, 2010
 *      Author: ssmethurst
 */

class CWebserverRequest
{
public:
	char request_string[HTTP_MAX_REQUEST_LENGTH];
};

class CWebserver
{
private:
	void ProcessRequest( Client * client );
	bool ProcessHeader( char * requestBuffer, CWebserverRequest * request ) ;
	void Respond( Client * client, char * path );


public:
	CWebserver();
	void Start();
	void Loop();
};

extern CWebserver Webserver;


#endif /* WEBSERVER_H_ */
